%define _disable_source_fetch 0
%define debug_package %{nil}

Name:           kf6-kitemmodels
Version:        6.24.0
Release:        1%{?dist}
Summary:        KDE Frameworks 6 - Item models

License:        LGPL-2.0-or-later
URL:            https://invent.kde.org/frameworks/kitemmodels
Source0:        https://download.kde.org/stable/frameworks/6.24/kitemmodels-%{version}.tar.xz

BuildRequires:  extra-cmake-modules
BuildRequires:  kf6-rpm-macros
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qtdeclarative-devel
BuildRequires:  gcc-c++

%description
KItemModels provides item models extending the Qt model-view framework.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt6-qtbase-devel

%description    devel
Development files for %{name}.

%prep
%autosetup -n kitemmodels-%{version} -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%files
%license LICENSES/*
%{_libdir}/libKF6ItemModels.so.*
%{_libdir}/qt6/qml/org/kde/kitemmodels/
%{_datadir}/qlogging-categories6/kitemmodels.categories
%{_datadir}/qlogging-categories6/kitemmodels.renamecategories

%files devel
%{_includedir}/KF6/KItemModels/
%{_libdir}/libKF6ItemModels.so
%{_libdir}/cmake/KF6ItemModels/

%changelog
* Tue Mar 24 2026 Anders da Silva Rytter Hansen <andersrh@users.noreply.github.com> - 6.24.0-1
- Initial release of kf6-kitemmodels 6.24.0
